Closed 2.5.0: SkyFactory 2.5 Not Launching (Sorted) For Info view here

Discussion in 'FTB Presents SkyFactory 2.5 1.7.10' started by ItzAlex YT, May 31, 2016.

  1. ItzAlex YT

    ItzAlex YT Member

    Version:
    2.5.0

    What is the bug:
    Launcher Version: Feed The Beast Launcher v1.4.12

    Sky Factory 2.5 Version: 2.5.0

    Whenever I try to load the mod pack I see my launcher disappear and re-appear almost Instantly with an error in the launcher console


    Can You Help me please?

    Thank You,

    -ItzAlex YT

    Mod & Version:
    Feed the beast presents SkyFactory 2.5 (2.5.0)

    Paste.feed-the-beast.com log:
    http://paste.feed-the-beast.com/view/84e761df

    Can it be repeated:


    Known Fix:
     
  2. ItzAlex YT

    ItzAlex YT Member

    tried changing allowed ram and installing java 8 u51 and disabling my anti Virus.

    I NEED HELP!!
     
  3. Jandakast

    Jandakast New Member

    The launcher is detecting multiple versions of Java installed on your machine. This may be caused by you manually installing older versions of Java for compatibility or it may be because a java install is corrupt. I would suggest trying to uninstall all versions of Java completely, Restart your machine, and then install the newest version of Java 8 32bit and 64bit.

    You are also receiving a Preferences Write error. This might be resolved by uninstalling and reinstalling Java. If not you can correct the issue by modifying your registry.
    1. Go into your Start Menu and type regedit into the search field.
    2. Navigate to path "HKEY_LOCAL_MACHINE\Software\JavaSoft"
    3. If the "Prefs" key doesn't exist then
      1. Right click on the JavaSoft folder and click on New -> Key
      2. Name the new Key "Prefs"
    4. Navigate to path "HKEY_LOCAL_MACHINE\Software\WOW6432Node\JavaSoft"
    5. If the "Prefs" key doesn't exist then
      1. Right click on the JavaSoft folder and click on New -> Key
      2. Name the new Key "Prefs"
     
  4. ItzAlex YT

    ItzAlex YT Member

    Thank you I will try that now. :)
     
  5. ItzAlex YT

    ItzAlex YT Member

    Re Installed Java and i tried the keys part Not running
     
  6. ItzAlex YT

    ItzAlex YT Member

    Tried To launch Using all the versions of java and still Not working
     
  7. ItzAlex YT

    ItzAlex YT Member

    Here Is The error:
    [10:14:51] [main/INFO]: Loading tweak class name cpw.mods.fml.common.launcher.FMLTweaker
    [10:14:51] [main/ERROR]: Unable to launch
    java.lang.ClassNotFoundException: cpw.mods.fml.common.launcher.FMLTweaker
    at java.net.URLClassLoader.findClass(Unknown Source) ~[?:1.8.0_77]
    at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_77]
    at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source) ~[?:1.8.0_77]
    at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_77]
    at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:106) ~[launchwrapper-1.12.jar:?]
    at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_77]
    at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_77]
    at java.lang.Class.forName0(Native Method) ~[?:1.8.0_77]
    at java.lang.Class.forName(Unknown Source) ~[?:1.8.0_77]
    at net.minecraft.launchwrapper.Launch.launch(Launch.java:98) [launchwrapper-1.12.jar:?]
    at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.12.jar:?]
     
  8. wormmus

    wormmus Member

    You have 32-bit Java installed, it appears. You most likely need to have 64-bit Java installed, as 2.4 did not work on 32-bit computers.
     
  9. ItzAlex YT

    ItzAlex YT Member

    I aint Stupid
     
  10. ItzAlex YT

    ItzAlex YT Member

    I did try BOTH x32 AND x64 wormussus
     
  11. ItzAlex YT

    ItzAlex YT Member

    Ohh Oracle said that latest java was v8 U77 not v8 u91
     
  12. mc.crab

    mc.crab Well-Known Member

    In the launcher options click force update and launch the pack.
     
  13. ItzAlex YT

    ItzAlex YT Member

    Thx mc.crab working Now
     

Share This Page